aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/postinst-intercepts/update_gio_module_cache
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/postinst-intercepts/update_gio_module_cache')
-rw-r--r--scripts/postinst-intercepts/update_gio_module_cache7
1 files changed, 7 insertions, 0 deletions
diff --git a/scripts/postinst-intercepts/update_gio_module_cache b/scripts/postinst-intercepts/update_gio_module_cache
new file mode 100644
index 0000000000..fe468092cf
--- /dev/null
+++ b/scripts/postinst-intercepts/update_gio_module_cache
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -e
+
+PSEUDO_UNLOAD=1 qemuwrapper -L $D -E LD_LIBRARY_PATH=$D${libdir}:$D${base_libdir} \
+ $D${libexecdir}/${binprefix}gio-querymodules $D${libdir}/gio/modules/
+